package net.northking.cctp.element.internal.utils;

import net.northking.cctp.element.core.APIFactory;
import net.northking.cctp.element.log.Level;
import net.northking.cctp.element.log.Logger;

/**
 * NetRequestUtils
 *
 * @author fengxiang.zhang
 * @since 1.0
 */
public class NetLoggerTemplate {

    private static Logger logger = APIFactory.getLogger();

    public static void logRequest(Level level, String format, Object... arguments) {
        logger.log(level, String.format("--> %s", format), arguments);
    }

    public static void logResponse(Level level, String format, Object... arguments) {
        logger.log(level, String.format("<-- %s", format), arguments);
    }

}